# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_cc_set_config - Store a configuration value in a credential cache.

krb5_error_code krb5_cc_set_config(krb5_context context, krb5_ccache id, krb5_const_principal principal, const char *key, krb5_data *data)

param

  [in] context - Library context

  [in] id - Credential cache handle

  [in] principal - Configuration for a specific principal; if NULL, global for the whole cache

  [in] key - Name of config variable

  [in] data - Data to store, or NULL to remove

retval

  - 0 Success

return

  - Kerberos error codes

Warning

Before version 1.10 data was assumed to be always non-null.

Note

Existing configuration under the same key is over-written.